#include "duckdb/main/extension/generated_extension_loader.hpp"

namespace duckdb{

//! Looks through the CMake-generated list of extensions that are linked into DuckDB currently to try load <extension>
bool TryLoadLinkedExtension(DuckDB &db, const string &extension) {

  if (extension=="icu") {
      db.LoadStaticExtension<IcuExtension>();
      return true;
  }
  if (extension=="json") {
      db.LoadStaticExtension<JsonExtension>();
      return true;
  }
  if (extension=="parquet") {
      db.LoadStaticExtension<ParquetExtension>();
      return true;
  }
  if (extension=="autocomplete") {
      db.LoadStaticExtension<AutocompleteExtension>();
      return true;
  }
  if (extension=="core_functions") {
      db.LoadStaticExtension<CoreFunctionsExtension>();
      return true;
  }
  if (extension=="jemalloc") {
      db.LoadStaticExtension<JemallocExtension>();
      return true;
  }

    return false;
}

const vector<string>& LinkedExtensions(){
    static vector<string> VEC = {
	"icu",
	"json",
	"parquet",
	"autocomplete",
	"core_functions",
	"jemalloc"
    };
    return VEC;
}


const vector<string>& LoadedExtensionTestPaths(){
    static vector<string> VEC = {
    };
    return VEC;
}

}
